Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
rts010
Pingviini kasutaja
Pingviini kasutaja


Vanus: 41
Liitunud: 07.09.2010
Postitused: 43

Distributsioon: Debian Wheezy, *buntu, solaris,Redhat
estonia.gif
postituspostitatud: 17.04.2011, 14:59  postituse pealkiri:  (teema puudub)  

zeroconf kirjutas:
Valdur55 kirjutas:
Kui on soov kasutada uuemat ID-kaarti, siis ei jää muud üle kui kasutada id.eesti.ee lehelt tõmmatud pakette. Vanema ID-kaardiga toimib Google Code-is olev variant kenasti.


Siit omakorda tekib küsimus, et kas http://code.google.com/p/esteid olev tarkvara arendus on seiskunud kui ta uusimaid ID-kaarte ei toeta? Või on uue ID-kaardi spetsifikatsioon riigisaladus ja ei olegi võimalik sellele tuge arendada? Sellisel juhul kas on see riigipoolne samm takistamaks vabatarkvaralise versiooni arengut? Siis tekib küsimus, et mis mõte on sellel tarkvararaamistik 2.0 hankel kui selliselt vaba tarkvara lausa riigi poolt torpedeeritakse?

Samas - kas neid uusima kiibiga ID-kaarte ka juba väljastatakse? Ehk siis kas võib tekkida olukord kus vanem tarkvara enam ei toimi?


minu seisukoht selline et pigem nii :
uued id kaardid toetavad uuemat esteid ja tarkvara kuid vanemat ei pruugi toetada .


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 702
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 18.04.2011, 09:42  postituse pealkiri:  (teema puudub)  

veeall kirjutas:
Ma ametlikust serverist ei leia kusagilt lähtekoode.

Veidi otsides on siiski võimalik leida:

https://installer.id.ee
-> Jätka
siis on lehe allservas kirjas:
"Tarkvara lähtekood on avaldatud siin."
ja "siin" on https://svn.eesti.ee/projektid/idkaart_public/.

Erinevalt code.google.com/p/esteid-ist, sealt juhendeid, mida milleks vaja on ja kuidas kompileerida, sealt küll ei leia.
Ainuke, millel on ingliskeelne README.linux, on libdigidocpp.
Mingi hulk neist mooduleist on windowsi jaoks, mingi hulk ainult servereile.

Kunagi kuulutati välja ID-kaardi tarkvara beeta-versioon. installer.id.ee-st sinna ei juhatata,
aga mul on juhuslikult alles tollane link:

http://id.eesti.ee
-> JÄTKA
Seal on link samale SVN lähtekoodile ja hiljaaegu on tekkinud ka link kompileerimisjuhendile.
installer.id.ee-st minnes selle kompileerimisjuhendini ei jõua ja SVN-i komplekti see ei kuulu.
Ju pole programmide tegijail beetatestijate vastu huvi ja lähtetekstid on välja pandud ainult selleks, et nii oli lepingus kirjas.

Nüüd on sinna tekkinud ver. 3.4, hakkan pärast proovima,
kas sellega õnnestub OpenSUSE-11.4-s veebilehitsejas SEB-is PIN2-ga kinnitamine.
Seni ei ole see õnnestunud ei SK, ei code.google.com/p/esteid versioonidega.
Olen kurtnud mõlemale poole, aga seni on seis endine.
Qdigidoc-i allkirja sain SK 3.3 versiooniga antud, kuigi installeerimisel kurtis mingi teegi vajakajäämist.


arvomagi
Pingviini aktivist
Pingviini aktivist



Liitunud: 22.12.2007
Postitused: 164
Asukoht: Tallinn

estonia.gif
postituspostitatud: 18.04.2011, 10:31  postituse pealkiri:  (teema puudub)  

Ubuntu 11.04 (Natty) jaoks ei ole praeguse seisuga smartlink ega id.eesti.ee repodes pakke. Kas keegi teab, millal need ilmuvad ja milliseid ID-kaarte (uut, vana, mõlemat?) hakkavad toetama?


sander85
Vana Pingviin
Vana Pingviin


Vanus: 33
Liitunud: 08.08.2005
Postitused: 4357
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 18.04.2011, 12:24  postituse pealkiri:  (teema puudub)  

1. seiskunud ei ole, lihtsalt pea surnuks aeglustunud hetkel
2. test-kaarte jagatakse ka uusi välja ja ei tohiks nii suur saladus ka olla, kaardiga opereerimisel on kasutusel siiski minuteada peamiselt opensc, mis on mõlema projekti jaoks sama tükk
3. RIA takistab seda teiste viisidega
4. aga mine küsi RIAlt, et miks nad tanki panevad Smile
5. väljastatakse alates selle aasta algusest
6. ei toimi ka SK enda tarkvara enam, ainult uued beta versioonid on võimelised lugema uusi kaarte

_________________
Image Image Image

mckevin
Pingviini aktivist
Pingviini aktivist


Vanus: 29
Liitunud: 02.05.2007
Postitused: 114
Asukoht: tallinn
Distributsioon: Arch Linux x86_64
estonia.gif
postituspostitatud: 18.04.2011, 17:46  postituse pealkiri:  (teema puudub)  

opensc svn versiooni kasutades peaks uued kaardid töötama kyll


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 702
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 18.04.2011, 19:39  postituse pealkiri:  (teema puudub)  

akbgf kirjutas:
Nüüd on sinna tekkinud ver. 3.4, hakkan pärast proovima,

Nüüd siis nii:
OpenSUSE-11.4, Linux 2.6.37.1-1.2-pae
Firefox-4.0 for openSUSE

ID-kaardi tarkvara
https://svn.eesti.ee/projektid/idkaart_public/branches/3.4/
svn r20

libdigidoc: cmake && make && make install
libdigidocpp: cmake && make && make install
smartcardpp: cmake && make && make install
OK

qdigidoc: cmake && make../common/libqdigidoccommon.a(Common.cpp.o): In function `Common::tempFilename()':
Common.cpp:(.text+0x1cf1): warning: the use of `tempnam' is dangerous, better use `mkstemp'

make install
qdigidocclient 3.4.0.20 läheb käima, laadis sertifikaadid, näitab allkirjastatud dokumendi allkirja, allkirjastada ei proovinud.

esteid-plugin: CMake Error
- kas see on Win-i ja Mac-i oma?

esteid-csp: windows.h: No such file or directory - vist Win-ile vajalik moodul.

esteid-pkcs11-module-loader/Mozilla: cmake && make && make install
Installing: /usr/local/lib/firefox-addons/extensions//...
Installing: /usr/local/lib/firefox/extensions//....
Installing: /usr/local/lib/firefox-3.6/extensions//...

Firefox ei leia extensioni. Tegin lingi /usr/lib/firefox/extensions/-isse, siis leidis.

Estonian ID Card PKCS11 module loader 3.0, 04/18/2011 enable
SEB-i saan PIN1-ga.

Seadete muutmine:
Allkirjastamisel kasutatav tehnoloogia ActiveX/Plugin tehnoloogia
Veakonsoolil teade
Error: DoDigiSignAX is not defined
Source File: https://id.seb.ee/konto/unet3.sh/un3min.r Line: 1

Allkirjastan digitaalselt:
Allkiri puudub või on vigane.
Veakonsoolil teated:
Error: setHashReqWatch is not defined
Source File: https://id.seb.ee/konto/unet3.sh/un3min.r Line: 1
Error: DoDigiSignAX is not defined
Source File: https://id.seb.ee/konto/unet3.sh/un3min.r Line: 1

Varsti lisandub:
Error: showError is not defined
Source File: https://id.seb.ee/konto/unet3.sh/un3min.r Line: 260


Allkirjastamisel kasutatav tehnoloogia Java Applet
Allkirjastan digitaalselt:
Viga PKCS#11 ohjurprogrammi aktiveerimisel.

ID-kaart on aastast 2002.


mckevin
Pingviini aktivist
Pingviini aktivist


Vanus: 29
Liitunud: 02.05.2007
Postitused: 114
Asukoht: tallinn
Distributsioon: Arch Linux x86_64
estonia.gif
postituspostitatud: 20.04.2011, 17:05  postituse pealkiri:  (teema puudub)  

akbgf: sed -i 's|1.07|3.4.3382.256|g' esteid-plugin/common/version.h
siis töötab sebis


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 702
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 21.04.2011, 08:42  postituse pealkiri:  (teema puudub)  

mckevin kirjutas:
akbgf: sed -i 's|1.07|3.4.3382.256|g' esteid-plugin/common/version.h
siis töötab sebis

Ei aidanud. Samad teated.
Pärast kirjutan pikemalt.


mckevin
Pingviini aktivist
Pingviini aktivist


Vanus: 29
Liitunud: 02.05.2007
Postitused: 114
Asukoht: tallinn
Distributsioon: Arch Linux x86_64
estonia.gif
postituspostitatud: 21.04.2011, 10:51  postituse pealkiri:  (teema puudub)  

sa pead ikka esteid-plugin kompileerima ka ja panema
~/.mozilla/plugins


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 702
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 21.04.2011, 13:31  postituse pealkiri:  (teema puudub)  

mckevin kirjutas:
sa pead ikka esteid-plugin kompileerima ka ja panema
~/.mozilla/plugins

Wink
Eks ma enamvähem nii tegingi.

version.h:
#define ESTEID_PLUGIN_VERSION "3.4.3382.256"

make plugin - OK,
teeb npesteid-firefox-plugin.so

Makefile-is on
install-käsud välja kommenteeritud.
Kopeerin npesteid-firefox-plugin.so -> /usr/lib/mozilla/plugins/

Stardin FireFoxi.

Plugins:
EstEID plug-in 3.4.3382.256
Last Updated 04/21/2-11 - enabled

Extensions:
Estonian ID Card PKCS11 module loader 3.0
Last Updated 04/21/2011 - enabled

SEB-i saan PIN1-ga sisse.

Muudan seadistusi:
Allkirjastamisel kasutatav tehnoloogia ActiveX/Plugin tehnoloogia

Veakonsoolile tuleb teade
Error: DoDigiSignAX is not defined
Source File: https://id.seb.ee/konto/unet3.sh/un3min.r Line: 1

Allkirjastan digitaalselt:
Allkiri puudub või on vigane.
Veakonsoolil teated
Error: setHashReqWatch is not defined
Source File: https://id.seb.ee/konto/unet3.sh/un3min.r Line: 1
Error: DoDigiSignAX is not defined
Source File: https://id.seb.ee/konto/unet3.sh/un3min.r Line: 1

Vahepeal sain SK-st ühe test-aadressi. Seal sain PIN2-ga allkirjastatud.
SEB-is ei saa ei plugin-, ei java-tehnoloogiaga.


sander85
Vana Pingviin
Vana Pingviin


Vanus: 33
Liitunud: 08.08.2005
Postitused: 4357
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 22.04.2011, 00:21  postituse pealkiri:  (teema puudub)  

lasin mandriva puhul ka SK kola nüüd avalikku reposse, kes seni kasutanud, see peab lihtsalt uuendama, kes pole varem kasutanud, siis paigaldamise kohta saab info siit: http://mandriva.sander85.com/loe-idkaart.html

andke teada, kui probleeme esineb Smile

_________________
Image Image Image

tramm
Vana Pingviin
Vana Pingviin



Liitunud: 03.11.2008
Postitused: 897

Distributsioon: *buntu
blank.gif
postituspostitatud: 25.04.2011, 18:05  postituse pealkiri:  (teema puudub)  

Isegi kui ma ise selles kõiges süüdi olen... Igatahes näib mulle, et taas on käes need põnevad ajad, kus ID-kaardi kasutamiseks tuleb kõvasti "sooja teha" ja siis saab alles oma maksed sooritatud. Nädalake tagasi sain veel Esteid projekti abil asjad aetud, kuid Swedpangas tundus see praegu mitte töötavat, proovisin ka ametlikku versiooni, see samuti ei töötand, kuigi mõlemad said hakkama eesti.ee's allkirjastamisega. Seejärel paigaldasin ametliku ja Esteid versiooni kahele eraldi arvutile, ühel Mint, teisel Ubuntu. Ei mingit tolku... Kümnekonna minuti jamamise järel lõin käega ja andsin oma allkirja vana hea Estobuntu plaadi pealt. Huvitav mitu tundi oma kasulikku aega on pidanud Eesti kodanikud ID-kaardiga allkirjastamise üritamise peale raiskama? Huvitav mitu miljonit krooni maksutulu riik kõigi nende aastate vältel selle nende raisatud töötundide tõttu vähem on saanud?


arvomagi
Pingviini aktivist
Pingviini aktivist



Liitunud: 22.12.2007
Postitused: 164
Asukoht: Tallinn

estonia.gif
postituspostitatud: 25.04.2011, 18:32  postituse pealkiri:  (teema puudub)  

Ubuntu 10.04 ja Firefox 4.0.1-ga töötab Swedbankas Java-põhine ID-kaardiga allkirjastamine. Nattyga pole ühelgi moel ID-kaarti tööle saanud.


ant87
Uus kasutaja
Uus kasutaja


Vanus: 32
Liitunud: 09.07.2005
Postitused: 6
Asukoht: Tallinn
Distributsioon: Ubuntu 10.10
estonia.gif
postituspostitatud: 25.04.2011, 21:53  postituse pealkiri:  (teema puudub)  

Ubuntu 10.10, Firefox 4 ning esteid kooslusega töötab nii Swedbank kui ka Nordea. Swedbank aeg ajalt ütleb "Veenduge, et kaardilugeas on teie ID kaart". Seda juhtub nii sisselogimisel kui ka allkirjastamisel aga siiani olen seda oma kulunud id kaardi süüks pannud. Paar korda kaarti sisse välja ja firefoxi restarti saab tehtud. Samas Nordeaga on probleeme vähem.


tramm
Vana Pingviin
Vana Pingviin



Liitunud: 03.11.2008
Postitused: 897

Distributsioon: *buntu
blank.gif
postituspostitatud: 25.04.2011, 22:43  postituse pealkiri:  (teema puudub)  

ant87 kirjutas:
Ubuntu 10.10, Firefox 4 ning esteid kooslusega töötab nii Swedbank kui ka Nordea. Swedbank aeg ajalt ütleb "Veenduge, et kaardilugeas on teie ID kaart". Seda juhtub nii sisselogimisel kui ka allkirjastamisel aga siiani olen seda oma kulunud id kaardi süüks pannud. Paar korda kaarti sisse välja ja firefoxi restarti saab tehtud. Samas Nordeaga on probleeme vähem.

Proovisin nüüd uuesti ja Ubuntu 10.10/Firefox 3.6.16 koos Esteid pakettidega töötab küll Swedbank'i põhiportaalis, aga pangalinki kasutades jääb toppama, st tegutsemist näitav ketasdiagramm jääbki kerima ning allkirjastamise nuppu ei ilmugi. Viimane Estobuntu töötas sama koha peal ilusti. Pangalink ei töötanud mul aga ka ametlike Id.ee pakettidega, olukord täpselt sama, jääb kerima.


merike
Pingviini aktivist
Pingviini aktivist



Liitunud: 06.04.2007
Postitused: 155
Asukoht: Laagri/Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 25.04.2011, 23:08  postituse pealkiri:  (teema puudub)  

Aga proovi Firefox 4 äkki? Mul on sama kooslus, mis ant87-l ja Swedbankis töötab peaaegu probleemivabalt (v.a kui pcscd saab kogemata peale Firefoxi käima pandud, mul ta kogu aeg ei käi).


tramm
Vana Pingviin
Vana Pingviin



Liitunud: 03.11.2008
Postitused: 897

Distributsioon: *buntu
blank.gif
postituspostitatud: 26.04.2011, 09:29  postituse pealkiri:  (teema puudub)  

merike kirjutas:
Aga proovi Firefox 4 äkki? Mul on sama kooslus, mis ant87-l ja Swedbankis töötab peaaegu probleemivabalt (v.a kui pcscd saab kogemata peale Firefoxi käima pandud, mul ta kogu aeg ei käi).

Sama. Swedpanga portaalis allkirjastamine näib töötavat, aga pangalingi kaudu sisenedes jääb allkirjadiagramm kerima. Proovisin ainult Esteid pakette praegu.


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 702
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 26.04.2011, 11:33  postituse pealkiri:  (teema puudub)  

SEB-is "Allkiri puudub või on vigane. " teade tuli tekstimoodis U-Netis,
https://id.seb.ee/konto/unet3.sh/un3min.r (vt mu eelmist kirja).

Vahepeal on kuskilt tekkinud npwrapper.npesteid-firefox-plugin.so, mille kohta rpm -q -f ... ütleb, et see ei kuulu ühelegi paketile. ??
Tekkis pühade ajal (Apr 22 17:46), kui ma selles arvutis ei teinud midagi.

RIA repositooriumis http://ftp.id.eesti.ee/pub/id/signed_repository/opensuse/11.4/ on vahepeal tekkinud uus versioon esteid-i - 3.4.3523....

Installeerisin selle ja peitsin npwrapper.npesteid-firefox-plugin-i ära.

U-Neti tekstimoodis seis endine.

http://www.seb.ee/ kaudu erakliendina sisenedes õnnestus seadeid muuta.
See on midagi uut! Varem pole ma nii kaugele jõudnud.

RIA repositooriumis on veel üks huvitav pakett:
estonianidcard, ver. 3.4.3523.289-1, requires - pikk loetelu, 0 files total Smile
Nojah, kuskil SK lehel oli kirjas, et ID-tarkvara 3.4 saab valmis kunagi mai alguses.

Veidi hiljem:
Õnnestus ka makse SEB-is, aga see kellade ja viledega versioon SEB-ist käib nagu uni.
Istu ja oota iga liigutuse järel.


sander85
Vana Pingviin
Vana Pingviin


Vanus: 33
Liitunud: 08.08.2005
Postitused: 4357
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 26.04.2011, 20:55  postituse pealkiri:  (teema puudub)  

akbgf kirjutas:
SEB-is "Allkiri puudub või on vigane. " teade tuli tekstimoodis U-Netis,
https://id.seb.ee/konto/unet3.sh/un3min.r (vt mu eelmist kirja).

Vahepeal on kuskilt tekkinud npwrapper.npesteid-firefox-plugin.so, mille kohta rpm -q -f ... ütleb, et see ei kuulu ühelegi paketile. ??
Tekkis pühade ajal (Apr 22 17:46), kui ma selles arvutis ei teinud midagi.

RIA repositooriumis http://ftp.id.eesti.ee/pub/id/signed_repository/opensuse/11.4/ on vahepeal tekkinud uus versioon esteid-i - 3.4.3523....

Installeerisin selle ja peitsin npwrapper.npesteid-firefox-plugin-i ära.

U-Neti tekstimoodis seis endine.

http://www.seb.ee/ kaudu erakliendina sisenedes õnnestus seadeid muuta.
See on midagi uut! Varem pole ma nii kaugele jõudnud.

RIA repositooriumis on veel üks huvitav pakett:
estonianidcard, ver. 3.4.3523.289-1, requires - pikk loetelu, 0 files total Smile
Nojah, kuskil SK lehel oli kirjas, et ID-tarkvara 3.4 saab valmis kunagi mai alguses.

Veidi hiljem:
Õnnestus ka makse SEB-is, aga see kellade ja viledega versioon SEB-ist käib nagu uni.
Istu ja oota iga liigutuse järel.


estonianidcard peaks olema metapakk, mille paigaldamisel paigaldatakse kõik muu vajalik..

_________________
Image Image Image

Vincenzo
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 04.01.2006
Postitused: 67

Distributsioon: *buntu
estonia.gif
postituspostitatud: 27.04.2011, 19:18  postituse pealkiri:  (teema puudub)  

arvomagi kirjutas:
Nattyga pole ühelgi moel ID-kaarti tööle saanud.


Just proovisin ja rootsipangas töötab nii tuvastus kui allkirjastamine. Lisasin vaid google.code maverick repo (natty oma pole veel) ja asendasin opensc.conf'i ka vana (10.10) süsteemi omaga.


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group